<!DOCTYPE html>
<html>
<head>
    <meta charset="UTF-8">
    {% assets 'vendors_js' %}
    <script type="text/javascript" src="{{ ASSET_URL }}"></script>
    {% endassets %}
    {% assets 'trumbowyg_js' %}
    <script type="text/javascript" src="{{ ASSET_URL }}"></script>
    {% endassets %}
    <title>Forum v1</title>
    {% block links %} {% endblock %}
    {% assets 'base_css' %}
    <link rel="stylesheet" href="{{ ASSET_URL }}">
    {% endassets %}

    <link rel="shortcut icon" href="{{ url_for('static', filename='img/favicon.ico') }}">
</head>
<body>
      <nav class="navbar navbar-expand-lg">
        
        <b><a class="navbar-brand" href="/"> Forum v1 </a></b>
        <div class="collapse navbar-collapse justify-content-center" id="main-navbar">
          <ul class="navbar-nav">
            {% if session.logged_in %}
            <li class="nav-item">
              <a class="nav-link" href="/"><img class='nav-logo' src="{{ url_for('static', filename='img/nav/discussion.png') }}"></a>
            </li>
            {% endif %}
            <li class="nav-item dropdown">
              <a class="nav-link dropdown-toggle" data-toggle="dropdown" href="#" role="button" aria-haspopup="true" aria-expanded="false"><i class="fas fa-user"></i></a>
              <div class="dropdown-menu">
                {% if session.logged_in %}
                <a class="dropdown-item nav-link" href="{{ url_for('logout') }}">Logout</a>
                {% else %}
                <a class="dropdown-item nav-link" href="{{ url_for('login') }}">Login</a>
                <a class="dropdown-item nav-link" href="{{ url_for('register') }}">Register</a>
                {% endif %}
              </div>
            </li>
            {% if session['logged_in'] %}
            <li class="nav-item">
              <a class="nav-link" href="#">{{ session['username'] }}</a>
            </li>
            {% endif %}     
            </ul>
        </div>
        <form class="d-flex justify-content-end" style="margin: 0 25px;">
          <input
            type="search"
            class="form-control"
            placeholder="Type query"
            aria-label="Search"
            style="margin-right: 10px;"
          />
          <button
            class="btn btn-outline-light"
            type="button"
            data-mdb-ripple-color="dark"
          >
            Search
          </button>
        </form>
        <div class="nav-item dropdown ml-auto">
          <button id="lang_nav" type="button" class="btn btn-outline-light dropdown-toggle" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                  <span id="lang" class="w-75 nav-btn-text"></span>
              </button>
          <div class="dropdown-menu shadow" aria-labelledby="projecten_nav">
              <a class="dropdown-item list-group-item list-group-item-action" id="en" >English</a>
              <a class="dropdown-item list-group-item list-group-item-action" id="pl" >Polish</a>
          </div>
      </div>
      </nav>
     
      <div class="container-fluid">
        <header>
          <div class="row justify-content-center">
            <div class="col">
              <main role="main" class="container-fluid">
                <div class="row justify-content-center">
                  <div>
                    {% for category, message in get_flashed_messages(with_categories=True) %}
                        <div class="alert alert-{{ category }} alert-dismissible" role="alert">
                          <button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">&times;</span></button>
                          <strong>{{ message }}</strong> 
                          </div>
                    {% endfor %}
                    {% block content %}{% endblock %}
                  </div>
                </main>
            </div>
          </div>
        </header>
           
            {% block app %} {% endblock %}
        <div id="cookies-modal-container"></div>
        <div class="modal fade" id="delete-modal-view" tabindex="-1" role="dialog" ></div>
        <div class="row justify-content-center">
            <footer>Designed by Aleksandra Czembrowska</footer>
        </div>
    </div>
    {% block scripts %} {% endblock %}
    <script src="{{ url_for('static', filename='scripts/base.js') }}"></script>
    <script src="{{ url_for('static', filename='scripts/common.js') }}"></script>
    <script src="{{ url_for('static', filename='scripts/trumbowyg.js') }}"></script>
    <script src="{{ url_for('static', filename='scripts/language_cookie.js') }}"></script>
  </body>
</html>
